curl --request PUT \
--url https://sandbox.api.fin.com/v1/customers/virtual-account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "f8715e46-f46a-41dc-94ec-bd9797683510",
"customer_id": "22c6b566-5ecc-49b7-b812-076c64735596",
"developer_fee_percentage": 1.25,
"destination_wallet_address": "0x7f1568190e318da16a9ef5a46cba19d5b97d9b29"
}
'{
"data": {
"id": "92eceee4-ec6a-4fe3-a224-f5914cabe001",
"status": "ACTIVE",
"developer_fee_percent": 0.3,
"customer_id": "196ce546-900d-4294-90ca-5546a5923f35",
"created_at": "2025-12-22T06:09:23.456895Z",
"updated_at": "2025-12-29T10:17:11.728606591Z",
"deposit_instructions": {
"currency": "USD",
"bank_name": "Bank of Nowhere",
"bank_address": "1800 North Pole St., Orlando, FL 32801",
"bank_routing_number": "101019644",
"bank_account_number": "900336047672",
"bank_beneficiary_name": "Portgas D Ace",
"bank_beneficiary_address": "321 British Columbia City, British Columbia, BC V0C 1Y0, CA",
"payment_rails": [
"ACH",
"FEDWIRE"
]
},
"destination": {
"currency": "USDC",
"destination_chain": "POLYGON",
"address": "0xcfbc18a220131699c6e967dc8412755fbcaf8711"
}
}
}Update an existing virtual bank account’s developer fee percentage and destination wallet address
curl --request PUT \
--url https://sandbox.api.fin.com/v1/customers/virtual-account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "f8715e46-f46a-41dc-94ec-bd9797683510",
"customer_id": "22c6b566-5ecc-49b7-b812-076c64735596",
"developer_fee_percentage": 1.25,
"destination_wallet_address": "0x7f1568190e318da16a9ef5a46cba19d5b97d9b29"
}
'{
"data": {
"id": "92eceee4-ec6a-4fe3-a224-f5914cabe001",
"status": "ACTIVE",
"developer_fee_percent": 0.3,
"customer_id": "196ce546-900d-4294-90ca-5546a5923f35",
"created_at": "2025-12-22T06:09:23.456895Z",
"updated_at": "2025-12-29T10:17:11.728606591Z",
"deposit_instructions": {
"currency": "USD",
"bank_name": "Bank of Nowhere",
"bank_address": "1800 North Pole St., Orlando, FL 32801",
"bank_routing_number": "101019644",
"bank_account_number": "900336047672",
"bank_beneficiary_name": "Portgas D Ace",
"bank_beneficiary_address": "321 British Columbia City, British Columbia, BC V0C 1Y0, CA",
"payment_rails": [
"ACH",
"FEDWIRE"
]
},
"destination": {
"currency": "USDC",
"destination_chain": "POLYGON",
"address": "0xcfbc18a220131699c6e967dc8412755fbcaf8711"
}
}
}Bearer token authentication. Obtain token from /v1/oauth/token endpoint
Unique identifier for the virtual account to update
"f8715e46-f46a-41dc-94ec-bd9797683510"
Unique identifier for the customer
"22c6b566-5ecc-49b7-b812-076c64735596"
Updated developer fee percentage
1.25
Updated destination wallet address in hexadecimal format (0x...)
"0x7f1568190e318da16a9ef5a46cba19d5b97d9b29"
Virtual account updated successfully
Show child attributes